The Last Days of the Third Age — a total conversion of Mount and Blade 1.011 and Warband into J.R.R. Tolkien's Middle Earth.

The Last Days of the Third Age 3.6 for Warband
Filename
TLD_3.6_wb.7z
Category
Full Version
Uploader
Swyter
Added
Size
819.56mb (859,366,204 bytes)
Downloads
9,411 (58 today)
MD5 Hash
36decea25cbe75b94928f579172db996
Embed Button
Embed Widget
Description

The Last Days of the Third Age 3.6 for Warband. This is a standalone version that works as our base package, to get the latest features and fixes please regularly patch it with the latest nightly at tldmod.github.io.

Preview
The Last Days of the Third Age 3.6 for Warband
Comments
Swyter Author
Swyter

For help, support, bug reports, or discussion, please visit us on:

Discord:
Discord.gg

Steam Workshop:
Steamcommunity.com

Reply Good karma+2 votes
Laski_Tarl
Laski_Tarl

Thanks, awesome mod!

Reply Good karma Bad karma+3 votes
Guest
Guest

so good

Reply Good karma Bad karma+1 vote
Guest
Guest

Is it updated on the steam workshop as well?

Reply Good karma Bad karma+1 vote
Swyter Author
Swyter

Yes. They are equivalent, r3282. For those who want automatic updates the Steam Workshop is a good way of playing the mod.

Changelog here: Steamcommunity.com

--

For those who prefer the manual install, to get the latest features and fixes please download this TLD 3.6 and regularly patch it with the latest nightly at Tldmod.github.io.

We release new patches with improvements weekly, so this base version will quickly get out of date and your bugs may have already been fixed. So keep that in mind.

Reply Good karma+1 vote
ALVASV
ALVASV

Is 3.6 save-game compatible with 3.5?

Reply Good karma Bad karma+2 votes
Swyter Author
Swyter

Yes, to the best of our ability. InVain has been very careful, we now have a mechanism to detect old saves and 'fix' them when you load them in newer versions of the mod. ¯\_(ツ)_/¯

Reply Good karma+1 vote
In_Vain
In_Vain

Savegame compatibility can only be ensured for relatively recent versions, though. If you upgrade from an unpatched 3.5 to 3.6, this will 100% break your save. If you upgrade from a recent 3.5 nightly patch (not more than 6 months old), you should be fine.

Reply Good karma Bad karma+2 votes
sriramBS
sriramBS

How much free space does it require to get extracted? Cuz i tried to extract this on a drive with 23 GIGABYTES of free space and yet i get an error from my 7z that there is not enough memory to extract

Reply Good karma Bad karma+2 votes
Swyter Author
Swyter

Sounds like a RAM issue, not a storage issue. Maybe I went a bit overboard with the ultra compression ratio this time around.

Adding swap (as a RAM substitute) probably helps here: Thewindowsclub.com

My other suggestion would be using 7-Zip instead, if you have tried extracting it with WinRAR and failed: 7-zip.org

Reply Good karma+1 vote
Guest
Guest

insufficient memory keep giving this error as correct?

Reply Good karma Bad karma+1 vote
Guest
Guest

nice mod !

Reply Good karma Bad karma+1 vote
Guest
Guest

Do we need to install all nightly patches or just the latest version?

Reply Good karma Bad karma+1 vote
Swyter Author
Swyter

Just the latest one linked on Tldmod.github.io
Standalone TLD release (this) + latest nightly patch.

The cool thing is that you can keep overwriting your patched mod install by pasting any newer nightlies on top and staying up to date.

Hope that helps. Remember to extract the TLD folder in the correct order.

Reply Good karma+1 vote
Guest
Guest

This comment is currently awaiting admin approval, join now to view.

Post a comment
Sign in or join with:

Only registered members can share their thoughts. So come on! Join the community today (totally free - or sign in with your social account on the right) and join in the conversation.

Follow Profile
Icon
Mount & Blade: Warband
Contact
Send Message
Homepage
TLDmod.github.io
Release date
Mod watch
Follow
File
Browse
Files
Share
Related Games
Mount & Blade: Warband
Mount & Blade: Warband Role Playing
Related Groups